using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace XYY.Model.Standard
{
    /// <summary>
    /// 费用预估的清关收费方式
    /// </summary>
    public enum EstimateClearanceChargeMethod
    {
        /// <summary>
        /// 按重量
        /// </summary>
        [Description("每公斤")]
        ByWeight = 0,
        /// <summary>
        /// 按订单
        /// </summary>
        [Description("每订单")]
        ByOrder = 1
    }
    public enum SettlementCompany
    {
        [Description("无")]
        None = 0,
        [Description("行运易")]
        行运易 = 1,
        [Description("逸达")]
        逸达 = 2,
        [Description("朗天")]
        朗天 = 3,
        [Description("深圳行运易")]
        深圳行运易 = 4,
        [Description("销售A")]
        销售A = 5,
        [Description("成都事业部")]
        成都事业部 = 5
    }


    public enum FinanceIncidentalTypeEnum
    {
        [Description("一级中转")]
        一级中转 = 7,
        [Description("二级中转")]
        二级中转 = 8,
        [Description("出口报关")]
        国内清关杂费 = 2,
        [Description("空运")]
        头程杂费 = 1,
        [Description("海外清关")]
        国外清关杂费 = 3,
        [Description("收款")]
        收款 = 4,
        [Description("关税")]
        关税成本 = 9,
        [Description("海外中转")]
        海外中转 = 10,
        [Description("补贴")]
        补贴 = 11
    }

    public enum FiannceServiceBillStatus
    {
        待对帐 = 0,
        /// <summary>
        /// 已移除
        /// </summary>
        财务确认 = 1,
        最终确认 = 2,
        结算中 = 3,
        无欠款 = 4,
        已还清 = 5
    }

    public enum OrderStaus
    {
        彻底删除 = 1,
        回收站 = 0,
        待揽收 = 1,
        待转运 = 2,
        已转运 = 3,
        已退回 = 4
    }
    public enum ServiceFeeType
    {
        运费 = 0,
        扣款 = 1,
        补款 = 2,
        索赔 = 3
    }


    public enum CalculationMethodEnum
    {
        固定,
        按票数,
        按KG数
    }


    public enum BillType
    {
        自飞,
        客户
    }
    public enum PaymentStatus
    {
        待结款 = 0,
        结款中 = 1,
        结款结束 = 2
    }
    /// <summary>
    /// 口岸类型
    /// </summary>
    public enum PortType
    {
        /// <summary>
        /// 出发口岸
        /// </summary>
        [Description("出发口岸")]
        Origin = 1,
        /// <summary>
        /// 目的口岸
        /// </summary>
        [Description("目的口岸")]
        Destination = 2
    }

    public enum DeliveryBillType
    {
        派送费用 = 0,
        退件费用 = 1,
        附加费用 = 2
    }
    /// <summary>
    /// 基础通用审核状态
    /// </summary>
    public enum ObjectApplyEnum
    {
        [Description("待审核")]
        待审=1,
        [Description("审批通过")]
        通过 =2,
        [Description("驳回")]
        驳回 = 3,
        [Description("取消审批")]
        撤销 = 4
    }
    /// <summary>
    /// 客户账号类型
    /// </summary>
    public enum AccountTypeEnum
    {
        全程派送客户=1,
        头程客户=2,
    }
    /// <summary>
    /// 帐单类型
    /// </summary>
    public enum BillTypeEnum
    {
        普通帐单 = 1,
        头程帐单 = 2,
    }
}
